require 'salt/version'
require 'salt/scanner'
require 'salt/parser'
require 'salt/compiler'
require 'salt/walker'
require 'salt/cli'

module Salt
  def parse(path)
    parse_string(File.read(path))
  end

  def parse_string(string, source = '(eval)')
    tokens = Scanner.scan(string, source)
    ast = Parser.parse(tokens)
  end

  module_function :parse, :parse_string
end
